Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class Visitors.WalkAllVisitor

    java.lang.Object
      org.modeshape.jcr.query.model.Visitors.NavigationVisitor
          org.modeshape.jcr.query.model.Visitors.WalkAllVisitor

All Implemented Interfaces:
  Visitor

Enclosing class:
  Visitors

    public static class Visitors.WalkAllVisitor

extends Visitors.NavigationVisitor

A visitor implementation that walks the entire query object tree and delegates to another supplied visitor to do the actual work.

Field Summary

Fields inherited from class org.modeshape.jcr.query.model.Visitors.NavigationVisitor
`strategy`

Constructor Summary
`Visitors.WalkAllVisitor(Visitor strategy)` Create a visitor that walks all query objects.

Method Summary
`void` | `visit(AllNodes allNodes)`
`void` | `visit(And and)`
`void` | `visit(ArithmeticOperand arithmeticOperation)`
`void` | `visit(Between between)`
`void` | `visit(BindVariableName variableName)`
`void` | `visit(ChildNode child)`
`void` | `visit(ChildNodeJoinCondition joinCondition)`
`void` | `visit(Column column)`
`void` | `visit(Comparison comparison)`
`void` | `visit(DescendantNode descendant)`
`void` | `visit(DescendantNodeJoinCondition condition)`
`void` | `visit(EquiJoinCondition condition)`
`void` | `visit(FullTextSearch fullTextSearch)`
`void` | `visit(FullTextSearchScore score)`
`void` | `visit(Join join)`
`void` | `visit(Length length)`
`void` | `visit(Limit limit)`
`void` | `visit(Literal literal)`
`void` | `visit(LowerCase lowerCase)`
`void` | `visit(NamedSelector selector)`
`void` | `visit(NodeDepth depth)`
`void` | `visit(NodeLocalName nodeLocalName)`
`void` | `visit(NodeName nodeName)`
`void` | `visit(NodePath path)`
`void` | `visit(Not not)`
`void` | `visit(Or or)`
`void` | `visit(Ordering ordering)`
`void` | `visit(PropertyExistence existence)`
`void` | `visit(PropertyValue propertyValue)`
`void` | `visit(Query query)`
`void` | `visit(ReferenceValue referenceValue)`
`void` | `visit(SameNode sameNode)`
`void` | `visit(SameNodeJoinCondition condition)`
`void` | `visit(SetCriteria setCriteria)`
`void` | `visit(SetQuery setQuery)`
`void` | `visit(Subquery subquery)`
`void` | `visit(UpperCase upperCase)`

Methods inherited from class org.modeshape.jcr.query.model.Visitors.NavigationVisitor
`enqueue, enqueue, visitNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Visitors.WalkAllVisitor

    public Visitors.WalkAllVisitor(Visitor strategy)

  Create a visitor that walks all query objects.

  Parameters:
    `strategy` - the visitor that should be called at every node.

Method Detail

### visit

    public void visit(AllNodes allNodes)

### visit

    public void visit(And and)

### visit

    public void visit(ArithmeticOperand arithmeticOperation)

### visit

    public void visit(Between between)

### visit

    public void visit(BindVariableName variableName)

### visit

    public void visit(ChildNode child)

### visit

    public void visit(ChildNodeJoinCondition joinCondition)

### visit

    public void visit(Column column)

### visit

    public void visit(Comparison comparison)

### visit

    public void visit(DescendantNode descendant)

### visit

    public void visit(DescendantNodeJoinCondition condition)

### visit

    public void visit(EquiJoinCondition condition)

### visit

    public void visit(FullTextSearch fullTextSearch)

### visit

    public void visit(FullTextSearchScore score)

### visit

    public void visit(Join join)

### visit

    public void visit(Length length)

### visit

    public void visit(Limit limit)

### visit

    public void visit(Literal literal)

### visit

    public void visit(LowerCase lowerCase)

### visit

    public void visit(NodeDepth depth)

### visit

    public void visit(NodePath path)

### visit

    public void visit(NodeName nodeName)

### visit

    public void visit(NodeLocalName nodeLocalName)

### visit

    public void visit(NamedSelector selector)

### visit

    public void visit(Not not)

### visit

    public void visit(Or or)

### visit

    public void visit(Ordering ordering)

### visit

    public void visit(PropertyExistence existence)

### visit

    public void visit(PropertyValue propertyValue)

### visit

    public void visit(Query query)

### visit

    public void visit(Subquery subquery)

### visit

    public void visit(ReferenceValue referenceValue)

### visit

    public void visit(SameNode sameNode)

### visit

    public void visit(SameNodeJoinCondition condition)

### visit

    public void visit(SetCriteria setCriteria)

### visit

    public void visit(SetQuery setQuery)

### visit

    public void visit(UpperCase upperCase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.